# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Fabio 'Lolix' Loli <lolix@disroot.org> -> https://github.com/FabioLolix

pkgname=strawberry-vlc
_pkgname=strawberry
pkgver=1.0.14
pkgrel=3
pkgdesc='A music player aimed at audio enthusiasts and music collectors'
arch=(x86_64)
url='https://www.strawbs.org/'
license=(GPL3)
depends=(qt5-base chromaprint protobuf vlc udisks2 libcdio libgpod libmtp fftw)
makedepends=(cmake boost qt5-tools)
source=(https://github.com/strawberrymusicplayer/strawberry/releases/download/$pkgver/$_pkgname-$pkgver.tar.xz)
sha256sums=('cbb0e0557e97c6e29ca3bf093f2359c959c8b5e8d26c1b6734bb17a85abcd37f')

build() {
  cmake -B build -S $_pkgname-$pkgver \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DBUILD_WITH_QT6=OFF \
    -DCMAKE_BUILD_TYPE=Release
  cmake --build build
}

package() {
  provides=("$_pkgname")
  replaces=("$_pkgname")
  DESTDIR="$pkgdir" cmake --install build
}
